package com.ossDemo.callbackListenerSpringBoot.configuration;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@PropertySource("classpath:oss.properties")
@Configuration
public class OssConfiguration {

	@Value("${OSS_API_KEY}")
	public String API_KEY;

	@Value("${OSS_API_URL}")
	public String API_URL;
	
	@Value("${OSS_FILE_SAVE_PATH}")
	public String FILE_SAVE_PATH;
	
	@Value("${OSS_CALLBACK_KEY}")
	public String CALLBACK_KEY;
	
}
