package com.ossDemo.callbackListenerSpringBoot.model;

public enum OssCallbackEvents {
  PACKAGE_CREATE 						("PACKAGE_CREATE"					),							
  PACKAGE_ACTIVATE 						("PACKAGE_ACTIVATE"					),
  PACKAGE_DEACTIVATE 					("PACKAGE_DEACTIVATE"				),
  PACKAGE_READY_FOR_COMPLETION 			("PACKAGE_READY_FOR_COMPLETION"		),
  PACKAGE_COMPLETE 						("PACKAGE_COMPLETE"					),
  PACKAGE_TRASH 						("PACKAGE_TRASH"					),
  PACKAGE_RESTORE 						("PACKAGE_RESTORE"					),
  PACKAGE_DELETE 						("PACKAGE_DELETE"					),
  PACKAGE_DECLINE 						("PACKAGE_DECLINE"					),
  PACKAGE_EXPIRE 						("PACKAGE_EXPIRE"					),
  PACKAGE_OPT_OUT 						("PACKAGE_OPT_OUT"					),
  DOCUMENT_SIGNED 						("DOCUMENT_SIGNED"					),
  ROLE_REASSIGN 						("ROLE_REASSIGN"					),
  SIGNER_COMPLETE 						("SIGNER_COMPLETE"					),
  KBA_FAILURE 							("KBA_FAILURE"						),
  EMAIL_BOUNCE 							("EMAIL_BOUNCE"						),
  PACKAGE_ATTACHMENT 					("PACKAGE_ATTACHMENT"				),
  SIGNER_LOCKED 						("SIGNER_LOCKED"					),
  PACKAGE_ARCHIVE 						("PACKAGE_ARCHIVE"					),
  TEMPLATE_CREATE 						("TEMPLATE_CREATE"					);
  
  
  private String eventName;

	OssCallbackEvents(String eventName) {
      this.eventName = eventName;
  }

  public String getEventName() {
      return this.eventName;
  }
  
  
  
}
